AUBIOONSET(1)

NAME
aubioonset - a command line tool to extract musical onset times

SYNOPSIS
aubioonset source
aubioonset [[-i] source] [-o sink]
           [-r rate] [-B win] [-H hop]
           [-O method] [-t thres]
           [-T time-format]
           [-s sil] [-m] [-f]
           [-j] [-N miditap-note] [-V miditap-velo]
           [-v] [-h]

DESCRIPTION
aubioonset attempts to detect onset times, the beginning of discrete sound events, in audio signals.

When started with an input source (-i/--input), the detected onset times are given on the console, in seconds.

When started without an input source, or with the jack option (-j/--jack), aubioonset starts in jack mode.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (--). A summary of options is included below.

-i, --input source
    Run analysis on this audio file. Most uncompressed and compressed are supported, depending on how aubio was built.

-o, --output sink
    Save results in this file. The file will be created on the model of the input file. Onset times are marked by a short wood-block like sound.

-r, --samplerate rate
    Fetch the input source, resampled at the given sampling rate. The rate should be specified in Hertz as an integer. If 0, the sampling rate of the original source will be used. Defaults to 0.

-B, --bufsize win
    The size of the buffer to analyze, that is the length of the window used for spectral and temporal computations. Defaults to 512.

-H, --hopsize hop
    The number of samples between two consecutive analysis. Defaults to 256.

-O, --onset method
    The onset detection method to use. See ONSET METHODS below. Defaults to 'default'.

-t, --onset-threshold thres
    Set the threshold value for the onset peak picking. Values are typically in the range [0.001, 0.900]. Lower threshold values imply more onsets detected. Increasing this threshold should reduce the number of incorrect detections. Defaults to 0.3.

-M, --minioi value
    Set the minimum inter-onset interval, in seconds, the shortest interval between two consecutive onsets. Defaults to 0.020

-s, --silence sil
    Set the silence threshold, in dB, under which the onset will not be detected. A value of -20.0 would eliminate most onsets but the loudest ones. A value of -90.0 would select all onsets. Defaults to -90.0.

-T, --timeformat format
    Set time format (samples, ms, seconds). Defaults to seconds.

-m, --mix-input
    Mix source signal to the output signal before writing to sink.

-f, --force-overwrite
    Overwrite output file if it already exists.

-j, --jack
    Use Jack input/output. You will need a Jack connection controller to feed aubio some signal and listen to its output.

-N, --miditap-note
    Override note value for MIDI tap. Defaults to 69.

-V, --miditap-velop
    Override velocity value for MIDI tap. Defaults to 65.

-h, --help
    Print a short help message and exit.

-v, --verbose
    Be verbose.

ONSET METHODS
Available methods are:

default
    Default distance, currently hfc

Default: 'default' (currently set to hfc)

energy
    Energy based distance

This function calculates the local energy of the input spectral frame.

hfc High-Frequency content

This method computes the High Frequency Content (HFC) of the input spectral frame. The resulting function is efficient at detecting percussive onsets.

Paul Masri. Computer modeling of Sound for Transformation and Synthesis of Musical Signal. PhD dissertation, University of Bristol, UK, 1996.

complex
    Complex domain onset detection function

This function uses information both in frequency and in phase to determine changes in the spectral content that might correspond to musical onsets. It is best suited for complex signals such as polyphonic recordings.

Christopher Duxbury, Mike E. Davies, and Mark B. Sandler.
    Complex domain onset detection for musical signals. In Proceedings of the Digital Audio Effects Conference, DAFx-03, pages 90-93, London, UK, 2003.

phase
    Phase based onset detection function

This function uses information both in frequency and in phase to determine changes in the spectral content that might correspond to musical onsets. It is best suited for complex signals such as polyphonic recordings.

Juan-Pablo Bello, Mike P. Davies, and Mark B. Sandler.
    Phase-based note onset detection for music signals. In Proceedings of the IEEE International Conference on Acoustics Speech and Signal Processing, pages 441­444, Hong-Kong, 2003.

specdiff
    Spectral difference onset detection function

Jonhatan Foote and Shingo Uchihashi. The beat spectrum: a new approach to rhythm analysis. In IEEE International Conference on Multimedia and Expo (ICME 2001), pages 881­884, Tokyo, Japan, August 2001.

kl  Kulback-Liebler onset detection function

Stephen Hainsworth and Malcom Macleod. Onset detection in music audio signals. In Proceedings of the International Computer Music Conference (ICMC), Singapore, 2003.

mkl Modified Kulback-Liebler onset detection function

Paul Brossier, ``Automatic annotation of musical audio for interactive systems'', Chapter 2, Temporal segmentation, PhD thesis, Centre for Digital music, Queen Mary University of London, London, UK, 2006.

specflux
    Spectral flux

Simon Dixon, Onset Detection Revisited, in ``Proceedings of the 9th International Conference on Digital Audio Effects'' (DAFx-06), Montreal, Canada, 2006.

SEE ALSO
aubiopitch(1), aubiotrack(1), aubionotes(1), aubioquiet(1), aubiomfcc(1), and aubiocut(1).

AUTHOR
This manual page was written by Paul Brossier <piem@aubio.org>. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.